import * as React from 'react';
import * as echarts from 'echarts';
import { EchartCommentProps } from './interface';
/**
 * 定义 echart 的规范
*/
export default abstract class extends React.PureComponent<EchartCommentProps> {
    id: string;
    chart: echarts.ECharts;
    abstract build(): any;
    abstract update(): any;
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
}
